Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.basic
Class BasicSliderUI

    java.lang.Object
      |
      +--javax.swing.plaf.ComponentUI
            |
            +--javax.swing.plaf.SliderUI
                  |
                  +--javax.swing.plaf.basic.BasicSliderUI

Direct Known Subclasses:
  MetalSliderUI

public class BasicSliderUI
extends SliderUI

A Basic L&F implementation of SliderUI.

Inner Class Summary
`class` | `BasicSliderUI.ActionScroller` As of Java 2 platform v1.3 this undocumented class is no longer used.
`class` | `BasicSliderUI.ChangeHandler` Data model listener.
`class` | `BasicSliderUI.ComponentHandler` Listener for resizing events.
`class` | `BasicSliderUI.FocusHandler` Focus-change listener.
`class` | `BasicSliderUI.PropertyChangeHandler`
`class` | `BasicSliderUI.ScrollListener` Scroll-event listener.
`class` | `BasicSliderUI.TrackListener` Track mouse movements.

Field Summary
`protected ChangeListener` | `changeListener`
`protected ComponentListener` | `componentListener`
`protected Rectangle` | `contentRect`
`protected Insets` | `focusInsets`
`protected FocusListener` | `focusListener`
`protected Rectangle` | `focusRect`
`protected Insets` | `insetCache`
`protected Rectangle` | `labelRect`
`protected boolean` | `leftToRightCache`
`static int` | `MAX_SCROLL`
`static int` | `MIN_SCROLL`
`static int` | `NEGATIVE_SCROLL`
`static int` | `POSITIVE_SCROLL`
`protected PropertyChangeListener` | `propertyChangeListener`
`protected BasicSliderUI.ScrollListener` | `scrollListener`
`protected Timer` | `scrollTimer`
`protected JSlider` | `slider`
`protected Rectangle` | `thumbRect`
`protected Rectangle` | `tickRect`
`protected int` | `trackBuffer`
`protected BasicSliderUI.TrackListener` | `trackListener`
`protected Rectangle` | `trackRect`

Constructor Summary
`BasicSliderUI(JSlider b)`

Method Summary
`protected void` | `calculateContentRect()`
`protected void` | `calculateFocusRect()`
`protected void` | `calculateGeometry()`
`protected void` | `calculateLabelRect()`
`protected void` | `calculateThumbLocation()`
`protected void` | `calculateThumbSize()`
`protected void` | `calculateTickRect()`
`protected void` | `calculateTrackBuffer()`
`protected void` | `calculateTrackRect()`
`protected ChangeListener` | `createChangeListener(JSlider slider)`
`protected ComponentListener` | `createComponentListener(JSlider slider)`
`protected FocusListener` | `createFocusListener(JSlider slider)`
`protected PropertyChangeListener` | `createPropertyChangeListener(JSlider slider)`
`protected BasicSliderUI.ScrollListener` | `createScrollListener(JSlider slider)`
`protected BasicSliderUI.TrackListener` | `createTrackListener(JSlider slider)`
`static ComponentUI` | `createUI(JComponent b)`
`protected boolean` | `drawInverted()`
`protected Color` | `getFocusColor()`
`protected int` | `getHeightOfHighValueLabel()`
`protected int` | `getHeightOfLowValueLabel()`
`protected int` | `getHeightOfTallestLabel()`
`protected Component` | `getHighestValueLabel()` Returns the label that corresponds to the lowest slider value in the label table.
`protected Color` | `getHighlightColor()`
`protected Component` | `getLowestValueLabel()` Returns the label that corresponds to the highest slider value in the label table.
`Dimension` | `getMaximumSize(JComponent c)`
`Dimension` | `getMinimumHorizontalSize()`
`Dimension` | `getMinimumSize(JComponent c)`
`Dimension` | `getMinimumVerticalSize()`
`Dimension` | `getPreferredHorizontalSize()`
`Dimension` | `getPreferredSize(JComponent c)`
`Dimension` | `getPreferredVerticalSize()`
`protected Color` | `getShadowColor()`
`protected Dimension` | `getThumbSize()`
`protected int` | `getTickLength()` Gets the height of the tick area for horizontal sliders and the width of the tick area for vertical sliders.
`protected int` | `getWidthOfHighValueLabel()`
`protected int` | `getWidthOfLowValueLabel()`
`protected int` | `getWidthOfWidestLabel()`
`protected void` | `installDefaults(JSlider slider)`
`protected void` | `installKeyboardActions(JSlider slider)`
`protected void` | `installListeners(JSlider slider)`
`void` | `installUI(JComponent c)`
`void` | `paint(Graphics g, JComponent c)`
`void` | `paintFocus(Graphics g)`
`protected void` | `paintHorizontalLabel(Graphics g, int value, Component label)` Called for every label in the label table.
`void` | `paintLabels(Graphics g)`
`protected void` | `paintMajorTickForHorizSlider(Graphics g, Rectangle tickBounds, int x)`
`protected void` | `paintMajorTickForVertSlider(Graphics g, Rectangle tickBounds, int y)`
`protected void` | `paintMinorTickForHorizSlider(Graphics g, Rectangle tickBounds, int x)`
`protected void` | `paintMinorTickForVertSlider(Graphics g, Rectangle tickBounds, int y)`
`void` | `paintThumb(Graphics g)`
`void` | `paintTicks(Graphics g)`
`void` | `paintTrack(Graphics g)`
`protected void` | `paintVerticalLabel(Graphics g, int value, Component label)` Called for every label in the label table.
`protected void` | `recalculateIfInsetsChanged()`
`protected void` | `recalculateIfOrientationChanged()`
`void` | `scrollByBlock(int direction)`
`void` | `scrollByUnit(int direction)`
`protected void` | `scrollDueToClickInTrack(int dir)` This function is called when a mousePressed was detected in the track, not in the thumb.
`void` | `setThumbLocation(int x, int y)`
`protected void` | `uninstallKeyboardActions(JSlider slider)`
`protected void` | `uninstallListeners(JSlider slider)`
`void` | `uninstallUI(JComponent c)`
`int` | `valueForXPosition(int xPos)` Returns a value give an x position.
`int` | `valueForYPosition(int yPos)` Returns a value give a y position.
`protected int` | `xPositionForValue(int value)`
`protected int` | `yPositionForValue(int value)`

Methods inherited from class javax.swing.plaf.ComponentUI
`contains, getAccessibleChild, getAccessibleChildrenCount, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### POSITIVE_SCROLL

    public static final int POSITIVE_SCROLL

### NEGATIVE_SCROLL

    public static final int NEGATIVE_SCROLL

### MIN_SCROLL

    public static final int MIN_SCROLL

### MAX_SCROLL

    public static final int MAX_SCROLL

### scrollTimer

    protected Timer scrollTimer

### slider

    protected JSlider slider

### focusInsets

    protected Insets focusInsets

### insetCache

    protected Insets insetCache

### leftToRightCache

    protected boolean leftToRightCache

### focusRect

    protected Rectangle focusRect

### contentRect

    protected Rectangle contentRect

### labelRect

    protected Rectangle labelRect

### tickRect

    protected Rectangle tickRect

### trackRect

    protected Rectangle trackRect

### thumbRect

    protected Rectangle thumbRect

### trackBuffer

    protected int trackBuffer

### trackListener

    protected BasicSliderUI.TrackListener trackListener

### changeListener

    protected ChangeListener changeListener

### componentListener

    protected ComponentListener componentListener

### focusListener

    protected FocusListener focusListener

### scrollListener

    protected BasicSliderUI.ScrollListener scrollListener

### propertyChangeListener

    protected PropertyChangeListener propertyChangeListener

Constructor Detail

### BasicSliderUI

    public BasicSliderUI(JSlider b)

Method Detail

### getShadowColor

    protected Color getShadowColor()

### getHighlightColor

    protected Color getHighlightColor()

### getFocusColor

    protected Color getFocusColor()

### createUI

    public static ComponentUI createUI(JComponent b)

### installUI

    public void installUI(JComponent c)

  Overrides:
    `installUI` in class `ComponentUI`

### uninstallUI

    public void uninstallUI(JComponent c)

  Overrides:
    `uninstallUI` in class `ComponentUI`

### installDefaults

    protected void installDefaults(JSlider slider)

### createTrackListener

    protected BasicSliderUI.TrackListener createTrackListener(JSlider slider)

### createChangeListener

    protected ChangeListener createChangeListener(JSlider slider)

### createComponentListener

    protected ComponentListener createComponentListener(JSlider slider)

### createFocusListener

    protected FocusListener createFocusListener(JSlider slider)

### createScrollListener

    protected BasicSliderUI.ScrollListener createScrollListener(JSlider slider)

### createPropertyChangeListener

    protected PropertyChangeListener createPropertyChangeListener(JSlider slider)

### installListeners

    protected void installListeners(JSlider slider)

### uninstallListeners

    protected void uninstallListeners(JSlider slider)

### installKeyboardActions

    protected void installKeyboardActions(JSlider slider)

### uninstallKeyboardActions

    protected void uninstallKeyboardActions(JSlider slider)

### getPreferredHorizontalSize

    public Dimension getPreferredHorizontalSize()

### getPreferredVerticalSize

    public Dimension getPreferredVerticalSize()

### getMinimumHorizontalSize

    public Dimension getMinimumHorizontalSize()

### getMinimumVerticalSize

    public Dimension getMinimumVerticalSize()

### getPreferredSize

    public Dimension getPreferredSize(JComponent c)

  Overrides:
    `getPreferredSize` in class `ComponentUI`

### getMinimumSize

    public Dimension getMinimumSize(JComponent c)

  Overrides:
    `getMinimumSize` in class `ComponentUI`

### getMaximumSize

    public Dimension getMaximumSize(JComponent c)

  Overrides:
    `getMaximumSize` in class `ComponentUI`

### calculateGeometry

    protected void calculateGeometry()

### calculateFocusRect

    protected void calculateFocusRect()

### calculateThumbSize

    protected void calculateThumbSize()

### calculateContentRect

    protected void calculateContentRect()

### calculateThumbLocation

    protected void calculateThumbLocation()

### calculateTrackBuffer

    protected void calculateTrackBuffer()

### calculateTrackRect

    protected void calculateTrackRect()

### getTickLength

    protected int getTickLength()

  Gets the height of the tick area for horizontal sliders and the width of the tick area for vertical sliders. BasicSliderUI uses the returned value to determine the tick area rectangle. If you want to give your ticks some room, make this larger than you need and paint your ticks away from the sides in paintTicks().

### calculateTickRect

    protected void calculateTickRect()

### calculateLabelRect

    protected void calculateLabelRect()

### getThumbSize

    protected Dimension getThumbSize()

### getWidthOfWidestLabel

    protected int getWidthOfWidestLabel()

### getHeightOfTallestLabel

    protected int getHeightOfTallestLabel()

### getWidthOfHighValueLabel

    protected int getWidthOfHighValueLabel()

### getWidthOfLowValueLabel

    protected int getWidthOfLowValueLabel()

### getHeightOfHighValueLabel

    protected int getHeightOfHighValueLabel()

### getHeightOfLowValueLabel

    protected int getHeightOfLowValueLabel()

### drawInverted

    protected boolean drawInverted()

### getLowestValueLabel

    protected Component getLowestValueLabel()

  Returns the label that corresponds to the highest slider value in the label table.
  See Also:
    `JSlider.setLabelTable(java.util.Dictionary)`

### getHighestValueLabel

    protected Component getHighestValueLabel()

  Returns the label that corresponds to the lowest slider value in the label table.
  See Also:
    `JSlider.setLabelTable(java.util.Dictionary)`

### paint

    public void paint(Graphics g,
                      JComponent c)

  Overrides:
    `paint` in class `ComponentUI`

### recalculateIfInsetsChanged

    protected void recalculateIfInsetsChanged()

### recalculateIfOrientationChanged

    protected void recalculateIfOrientationChanged()

### paintFocus

    public void paintFocus(Graphics g)

### paintTrack

    public void paintTrack(Graphics g)

### paintTicks

    public void paintTicks(Graphics g)

### paintMinorTickForHorizSlider

    protected void paintMinorTickForHorizSlider(Graphics g,
                                                Rectangle tickBounds,
                                                int x)

### paintMajorTickForHorizSlider

    protected void paintMajorTickForHorizSlider(Graphics g,
                                                Rectangle tickBounds,
                                                int x)

### paintMinorTickForVertSlider

    protected void paintMinorTickForVertSlider(Graphics g,
                                               Rectangle tickBounds,
                                               int y)

### paintMajorTickForVertSlider

    protected void paintMajorTickForVertSlider(Graphics g,
                                               Rectangle tickBounds,
                                               int y)

### paintLabels

    public void paintLabels(Graphics g)

### paintHorizontalLabel

    protected void paintHorizontalLabel(Graphics g,
                                        int value,
                                        Component label)

  Called for every label in the label table. Used to draw the labels for horizontal sliders. The graphics have been translated to labelRect.y already.
  See Also:
    `JSlider.setLabelTable(java.util.Dictionary)`

### paintVerticalLabel

    protected void paintVerticalLabel(Graphics g,
                                      int value,
                                      Component label)

  Called for every label in the label table. Used to draw the labels for vertical sliders. The graphics have been translated to labelRect.x already.
  See Also:
    `JSlider.setLabelTable(java.util.Dictionary)`

### paintThumb

    public void paintThumb(Graphics g)

### setThumbLocation

    public void setThumbLocation(int x,
                                 int y)

### scrollByBlock

    public void scrollByBlock(int direction)

### scrollByUnit

    public void scrollByUnit(int direction)

### scrollDueToClickInTrack

    protected void scrollDueToClickInTrack(int dir)

  This function is called when a mousePressed was detected in the track, not in the thumb. The default behavior is to scroll by block. You can override this method to stop it from scrolling or to add additional behavior.

### xPositionForValue

    protected int xPositionForValue(int value)

### yPositionForValue

    protected int yPositionForValue(int value)

### valueForYPosition

    public int valueForYPosition(int yPos)

  Returns a value give a y position. If yPos is past the track at the top or the bottom it will set the value to the min or max of the slider, depending if the slider is inverted or not.

### valueForXPosition

    public int valueForXPosition(int xPos)

  Returns a value give an x position. If xPos is past the track at the left or the right it will set the value to the min or max of the slider, depending if the slider is inverted or not.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.